[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.MainWndProc

The message handler loop for the control.

## Declaration

Source position: controls.pp line 2301

`protected procedure TWinControl.MainWndProc(`
`var Msg: TLMessage`
`);`

## Arguments

`Msg` |  | Message handled in the method.

## Description

Used for controls which need features not yet supported by the LCL. MainWndProc has an empty implementation in TWinControl.

## See also

TApplication |  | Application management and configuration for a GUI application.